GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
gdcm::SwapperNoOp Class Reference

`#include <gdcmSwapper.h>`

List of all members.

## Static Public Member Functions

template<typename T >
static T | Swap (T val)
template<typename T >
static void | SwapArray (T *, size_t)

## Detailed Description

Examples:
  ReadExplicitLengthSQIVR.cxx.

## Member Function Documentation

template<typename T >

static T gdcm::SwapperNoOp::Swap | ( | T | val | ) | `[inline, static]`

Referenced by gdcm::EncodingImplementation< VR::VRBINARY >::Write().

template<typename T >

static void gdcm::SwapperNoOp::SwapArray | ( | T * | ,
|  | size_t |
| ) |  | `[inline, static]`

Referenced by gdcm::EncodingImplementation< VR::VRBINARY >::Read().

The documentation for this class was generated from the following file:

- gdcmSwapper.h